Bug 851726 - s-c-f -
s-c-f -
Product: Fedora
Classification: Fedora
Component: system-config-firewall (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Thomas Woerner
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2012-08-24 16:36 EDT by Flóki Pálsson
Modified: 2014-03-28 06:52 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2014-03-28 06:52:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Flóki Pálsson 2012-08-24 16:36:39 EDT
Description of problem:
Can not start system-config-firewall. 

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.  start from terminal or menu
Actual results:


Expected results:
s-c-f usable.

Additional info:
Comment 1 Fedora End Of Life 2013-04-03 13:54:59 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
Comment 2 Thomas Woerner 2013-11-06 14:46:40 EST
This is not a system-config-firewall bug. You may be using a desktop environment or window manager without a policykit authentication agent. Most D-Bus mechanisms or services are not working without working policykit authentication.

Please try to use a polkit authentication agent like for example /usr/libexec/polkit-gnome-authentication-agent-1 or /usr/libexec/polkit-mate-authentication-agent-1
Comment 3 Flóki Pálsson 2013-12-26 15:31:09 EST
ok now.
I can now use system-config-firewall.  
I have to stop 
# systemctl stop firewalld.service
Comment 4 Thomas Woerner 2014-03-28 06:52:08 EDT
You can either use the new firewall solution with firewalld or the old one with the ip*tables services and system-config-firewall/lokkit.

With system-config-firewall/lokkit your firewall is static, with firewalld you have integration for example with NetworkManager to use firewall zones per connection and also with libvirt to react on service restarts and reloads. The changes in the firewall are done dynamically with firewalld, the firewall gets modified and not recreated for all changes.

Closing as not a bug.

Note You need to log in before you can comment on or make changes to this bug.